> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/embedded-signing/esign-otp-validation.md).

# eSign OTP Validation

## POST /api/Public/ValidateOTPforeSignature/ValidateOTPforeSignature

> Validate ot pfore signature

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ValidateOTPforeSignature"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureRequestDto":{"required":["otp"],"type":"object","properties":{"otp":{"maxLength":6,"minLength":6,"pattern":"^[0-9]{6}$","type":"string"},"workflowId":{"type":"integer","format":"int32","nullable":true},"deviceInfo":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"osAndBrowser":{"type":"string","nullable":true},"requestSource":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto":{"type":"object","properties":{"isValid":{"type":"boolean"},"isAuthenticated":{"type":"boolean"},"message":{"type":"string","nullable":true},"otpGeneratedAt":{"type":"string","format":"date-time","nullable":true},"otpValidatedAt":{"type":"string","format":"date-time","nullable":true},"remainingValidityMinutes":{"type":"integer","format":"int32","nullable":true},"workflowId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ValidateOTPforeSignature/ValidateOTPforeSignature":{"post":{"tags":["ValidateOTPforeSignature"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.ValidateOTPforeSignatureResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Validate ot pfore signature","operationId":"post_ValidateOTPforeSignature_ValidateOTPforeSignature"}}}}
```
